### Method

# EDataServer SourceMailIdentity get_aliases_as_hash_table

since: 3.24

#### Declaration [src]

    GHashTable*
    e_source_mail_identity_get_aliases_as_hash_table (
      ESourceMailIdentity* extension
    )

#### Description [src]

Returns a set aliases as a hash table with address as key and name as value of the hash table. The name can be sometimes empty or NULL, thus rather use `g_hash_table_contains()` when checking for particular address. The addresses are compared case insensitively. The same addresses with a different name are included only once, the last variant of it. Use `e_source_mail_identity_get_aliases()` if you need more fine-grained control on the list of aliases.

Available since: 3.24

#### Return value

Type: `GHashTable`

A newly created `GHashTable` will all the aliases. Returns `NULL` if there are none set. Use `g_hash_table_destroy()` to free the returned hash table.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.